Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Kureoses mit dem Text in ACAD

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Kureoses mit dem Text in ACAD (1148 mal gelesen)
bittpul
Mitglied


Sehen Sie sich das Profil von bittpul an!   Senden Sie eine Private Message an bittpul  Schreiben Sie einen Gästebucheintrag für bittpul

Beiträge: 5
Registriert: 22.11.2016

Windows 7 Ultimate, ACAD 2011.

erstellt am: 22. Nov. 2016 20:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Text1.JPG


Text1-pdf.JPG

 
Moin werte Gemeinde,

Bin Neuling hier obwohl ich schon länger mit ACAD zutun habe.
Habe auch gesucht wie blöder, nichts der gleichen gefunden.
Mein Problem liegt in der Darstellung der Schrift im Autocad bzw. geplotteter PDF-Datei(was mir ganz wichtig ist).
Angehängt habe ich zwei Screenshots wo zu erkennen ist was ich meine. Im PDF wird ein und der selbe Block bzw, Bögen der Texte in dem Fall  das "o" unterschiedlich dargestellt, im AutoCAD wird es auch unterschiedlich dargestellt wenn auch nicht so gravierend wie in der PDF.
ein und der selbe dynamischer Block (Matherialbezeichnung) alle Eigenschaften sind gleich bis auf Position in X,Y
in ACAD 2011 gezeichnet.
Kann mir einer helfen wo da der hacken steckt?

-bittpul-

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 168
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 22. Nov. 2016 21:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

Hallo,

kann es sein, dass einer der beiden Blöcke eine Z-Koordinate <>0 hat?

AutoCAD stellt unter gewissen Bedingungen (Z<>0, Breitenfaktor<>1,...) Texte als Pixelgrafik dar... Und genau danach schaut das hier aus.

Gruß
Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bittpul
Mitglied


Sehen Sie sich das Profil von bittpul an!   Senden Sie eine Private Message an bittpul  Schreiben Sie einen Gästebucheintrag für bittpul

Beiträge: 5
Registriert: 22.11.2016

Windows 7 Ultimate, ACAD 2011.

erstellt am: 22. Nov. 2016 21:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Text2-pdf.JPG

 
Danke für schnelle Antwort.

Das kuriose ist, es handel sich um den gleichen Block. Breitenfaktor und alles andere innerhalb Attribute ist alles gleich.
In Z liegen die beiden Blöcke auf 0.
komisch habe gerade mit dwg-trueview geplottet siehe Anhang beide Blöcke werden schön  dargestellt keine zacken an dem rechten.
Mit DWGtoPDF unter ACAD der rechte gezackt?

-bittpul-

[Diese Nachricht wurde von bittpul am 22. Nov. 2016 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Entsorger01
Moderator
Techniker




Sehen Sie sich das Profil von Entsorger01 an!   Senden Sie eine Private Message an Entsorger01  Schreiben Sie einen Gästebucheintrag für Entsorger01

Beiträge: 3202
Registriert: 07.07.2006

ACAD 2019
Acrobat Prof.
Creative Suite 6
WIN10

erstellt am: 23. Nov. 2016 06:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

Hallo Pittbul und herzlich willkommen bei CAD.de,

könntest du uns bitte die dwg-Datei zur Verfügung stellen. Gegebenenfalls alles irrelevante zuvor löschen (dann aber bitte kontrollieren, ob der Fehler immer noch vorhanden ist  )

------------------
Gruß

Michi

"Es ist schon alles gesagt, nur noch nicht von allen." (Karl Valentin)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bittpul
Mitglied


Sehen Sie sich das Profil von bittpul an!   Senden Sie eine Private Message an bittpul  Schreiben Sie einen Gästebucheintrag für bittpul

Beiträge: 5
Registriert: 22.11.2016

Windows 7 Ultimate, ACAD 2011.

erstellt am: 23. Nov. 2016 07:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Zeichnung1.dwg


Zeichnung1--Layout1.pdf

 
Hallo Entsorger01,

anbei die Datei und Plott.
Ich denke das es bei dir alles normal wird.
Aber probiere mit DWGtoPDF zu plotten. Vergrößere den markierten Bereich der linke Block ist das gleiche wie rechter der stamm von einer anderer Zeichnung bei der alles sauber ist.
ich habe schon alles in eine lehre Datei reinkopiert, das Problem wird mitgenommen.
Danke für die Hilfe.

-bittpul-

„Wenn der Blinde den Lahmen trägt, kommen beide fort.“

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20164
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 23. Nov. 2016 08:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

Wie Vino schon angesprochen hat, es gibt unterschiedliche Z-Werte, dies könnte der Grund sein.

Markiere die Blockreferenz und überschreibe die 'Position Z' in der Eigenschaften-Palette(Strg+1),
um ganz sicher zu gehen: Überschreibe mit einem beliebigen Wert und danach mit dem gewünschten(also 0).

Acad kann diese geringe Abweichung nicht mehr Anzeigen,
diese liegt jenseits der 8 Nachkommastellen welche der User zur Anzeige zur Verfügung hat.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
Ruheständler


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5935
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 23. Nov. 2016 08:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von bittpul:

anbei die Datei

[OT]
@bittpul: Nur ein Hinweis: Wenn Du hier Dateien hochlädst, verwende bitte eindeutige/einmalige Dateinamen. Solltest Du demnächst nämlich mal wieder eine "Zeichnung1.dwg" hochladen (was zu erwarten ist  ), wird die jetzige ohne Rückfrage und ohne Warnung gnadenlos überschrieben.
[/OT]

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 8041
Registriert: 09.03.2006

Kinder, kauft Kämme!
Es kommen lausige Zeiten.

erstellt am: 23. Nov. 2016 08:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

Witzigerweise tritt das Problemm in C3D2017 mit DWG to PDF.pc3 nicht auf, meine erzeugte PDF hat auch bei 6400% keine Zacken. 

Dennoch gilt die Aussage von Vino bzw. cadffm, zu testen mittels

Code:
(entget (car (entsel)))  >> pick die beiden Referenzen

ergibt dann:
Zitat:
Befehl: (entget (car (entsel)))
Objekt wählen: ((-1 . <Objektname: 4364b450>) (0 . "INSERT") (5 . "24A5") (102 . "{ACAD_XDICTIONARY") (360 . <Objektname: 4364b460>) (102 . "}") (330 . <Objektname: 2cb461f0>) (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "DIM-1-05") (100 . "AcDbBlockReference") (66 . 1) (2 . "*U16") (10 1430.02 568.105 -3.16659e-13) (41 . 60.0) (42 . 60.0) (43 . 60.0) (50 . 0.0) (70 . 0) (71 . 0) (44 . 0.0) (45 . 0.0) (210 0.0 0.0 1.0))

Befehl: (entget (car (entsel)))
Objekt wählen: ((-1 . <Objektname: 43652950>) (0 . "INSERT") (5 . "27BD") (102 . "{ACAD_XDICTIONARY") (360 . <Objektname: 43652960>) (102 . "}") (330 . <Objektname: 2cb461f0>) (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "DIM-1-05") (100 . "AcDbBlockReference") (66 . 1) (2 . "*U16") (10 1394.72 568.105 0.0) (41 . 60.0) (42 . 60.0) (43 . 60.0) (50 . 0.0) (70 . 0) (71 . 0) (44 . 0.0) (45 . 0.0) (210 0.0 0.0 1.0))



------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bittpul
Mitglied


Sehen Sie sich das Profil von bittpul an!   Senden Sie eine Private Message an bittpul  Schreiben Sie einen Gästebucheintrag für bittpul

Beiträge: 5
Registriert: 22.11.2016

Windows 7 Ultimate, ACAD 2011.

erstellt am: 23. Nov. 2016 08:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hee Leute,

Danke Danke
es ist wirklich so, alles richtig auf 0 gebracht und schon ist alles gut.

-bittpul-

„Wenn der Blinde den Lahmen trägt, kommen beide fort.“

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bittpul
Mitglied


Sehen Sie sich das Profil von bittpul an!   Senden Sie eine Private Message an bittpul  Schreiben Sie einen Gästebucheintrag für bittpul

Beiträge: 5
Registriert: 22.11.2016

Windows 7 Ultimate, ACAD 2011.

erstellt am: 23. Nov. 2016 10:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Leute,

Das blöde natürlich unterschiedliche Z-Werte die Acad diese geringe Abweichung nicht mehr Anzeigen kann,
diese liegt jenseits der 8 Nachkommastellen welche der User zur Anzeige zur Verfügung hat.

Die einfachsten Sachen sind es auch meist.
Makro:

^C^C_move;_all;;0,0,0;0,0,1e99;_move;V;;0,0,0;0,0,-1e99

und alles ist wie es sein sollte.

-bittpul-

„Wenn der Blinde den Lahmen trägt, kommen beide fort.“

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manuel486
Mitglied
Technischer Zeichner Elektro


Sehen Sie sich das Profil von Manuel486 an!   Senden Sie eine Private Message an Manuel486  Schreiben Sie einen Gästebucheintrag für Manuel486

Beiträge: 100
Registriert: 31.01.2020

Windows 10 Pro - 64-Bit -
Lenovo Thinkstation P520 -
Intel Xeon W-2255 CPU @ 3.70 GHz 10 Kerne -
2x32GB DDR4 RAM @ 2933 MHz -
Samsung MZVLB512HAJQ-000L7 SSD 500GB -
Seagate ST1000DM003 HDD 1000GB -
NVIDIA Quadro P2200 5GB -
AutoCAD MEP 2019 - Revit 2018+2019+2020

erstellt am: 17. Nov. 2020 15:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

ACHTUNG! Sie antworten auf einen Beitrag der älter als 1 Jahr ist!


Code:
^C^C_move;_all;;0,0,0;0,0,1e99;_move;V;;0,0,0;0,0,-1e99

Also bei mir bleibt alles wie es ist, wenn ich in der Ansicht von Oben bin.
Wenn ich jetzt die Ansicht auf Links oder ISO-Ansicht SW stelle,
dann klappt es...
Mache ich was falsch !??!
Muss ich vorher die Ansichtssteuerung umstellen?

Als Script, so aufgebaut, funktioniert es...

Code:
_.-view _left
_.MOVE _All  0,0,0 0,0,1e99
_.MOVE _P  0,0,0 0,0,-1e99
_.-view _top
_.CHPROP _P  _Thickness 0

EDIT:
Musste noch die Objekthöhe einbauen.
Jetzt macht er wirklich alles Platt.
Und das in ein paar Sekunden.
Flatten oder Plaetten braucht dafür mehrere Minuten.
Das Ergenbis müsste doch das selbe sein oder?
Ich habe keine Blöcke in der Zeichnung, alles einzelne Objekte.

[Diese Nachricht wurde von Manuel486 am 17. Nov. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20164
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 17. Nov. 2020 16:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

Hi,

Man arbeitet im aktuellen Koordinatensystem, es kommt also auf das Kooridnatensystem an (und sysvar ELEVATION beim Zeichnen),
wenn du einfach nur "0,0" eingibst - anstatt die Koordinaten explizit im Weltkoordinatensystem anzugeben "*0,0"

Wenn du die Ansicht über _-view änderst, dann änderst du auch das BKS.
Wenn Links und ISO SW funktionieren, dann ist deine Zeichnung eben nicht parallel zum WKS gezeichnet.
(in der WKS Draufsicht sichst du dann nur einen Strich wenn alles "sauber ist")
Schaust du von Link in den 3D Raum, dann siehst du deine Zeichnung
und genau in diese Richtung willst du Z=0 haben, denn es ist ja die
Richtung mit der du auf die Zeichnungs schauen wirst (oder drucken).

Eine Beispiel DWG wäre gut wenn das Thema hier noch vertieft wird, sonst fällt die Kommunikation unnötig schwer.


OT:
Ich hoffe in deinem Script steht ganz oben OSNAPCOORD 1 (die hässliche osmode=0 Variante lassen wir aussen vor)
ansonsten fehlt in deinen Zeilen der Objektfang KEINER.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20164
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 17. Nov. 2020 18:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich


00Z00.dwg

 
Zitat:
Original erstellt von Manuel486:
EDIT:
Flatten oder Plaetten braucht dafür mehrere Minuten.
Das Ergenbis müsste doch das selbe sein oder?
[Diese Nachricht wurde von Manuel486 am 17. Nov. 2020 editiert.]

Abhängig vom Dateiinhalt kann das Ergebnis gleich sein, es kann aber auch unterschiedlich sein.
Plaetten und Flatten arbeiten schon unterschiedlich => unterschiedliche Ergebnisse,
der 'Gegen die Decke schieben Weg' wiederum ein anderes Ergebnis.

Anhang: Das Flatten udn Plaetten Ergebnis habe ich verschoben,
das move1e99 Ergbnis liegt original wie es nach dem durchführen aussehen kann.
(in einem Block in blau sind die original-Objekte dargestellt, also "Vorher")

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manuel486
Mitglied
Technischer Zeichner Elektro


Sehen Sie sich das Profil von Manuel486 an!   Senden Sie eine Private Message an Manuel486  Schreiben Sie einen Gästebucheintrag für Manuel486

Beiträge: 100
Registriert: 31.01.2020

Windows 10 Pro - 64-Bit -
Lenovo Thinkstation P520 -
Intel Xeon W-2255 CPU @ 3.70 GHz 10 Kerne -
2x32GB DDR4 RAM @ 2933 MHz -
Samsung MZVLB512HAJQ-000L7 SSD 500GB -
Seagate ST1000DM003 HDD 1000GB -
NVIDIA Quadro P2200 5GB -
AutoCAD MEP 2019 - Revit 2018+2019+2020

erstellt am: 18. Nov. 2020 07:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich


20-11-18-0709-Ungleich-Z0.dwg

 
ELEVATION = 0.000
OSNAPCOORD = 2
OSMODE = 127

Was ist der "Objektfang KEINER."?!

Habe die Datei mal angehangen.

Ich habe in meinen Zeichnungen IMMER alles vorher "Zerschossen".
Ich habe nur noch Linien, Texte, Schraffuren, Kreise, Bögen.
Wir zerlegen die Pläne im Prinzip bis _explode nicht mehr findet, außer die Schraffuren.
Es gibt also NIE Blöcke oder Bemassungen in einer Zeichnung die ich Plätte, falls das was aus macht.

[Diese Nachricht wurde von Manuel486 am 18. Nov. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20164
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 18. Nov. 2020 09:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

>> OSNAPCOORD = 2
>> OSMODE = 127

{und die Koordinatenangaben als BKS-Koordinate}

Das bedeutet dann also:
Fange einen Punkt unter Berücksichtigung der der Objektfangeinstellungen osmode&aperture, ausgehend von BKS-Koordinate X,Y(,Z)

Du möchtest aber eigentlich bei der Aufgabe Z=0 im Weltkoordinatenbereich nutzen,
in dem Fall mußt du die Koordinaten als WKS-Koordinate angeben:
Entweder zuvor BKS=WELT zuvor einstellen (ich nehme an du mnachst das ohnehin, aber in deinem Beispiel-Script fehlt es)
oder direkt als direkt als WKS-Koordinatenangabe ausdrücken *0,0,0

Auch der Objektfang kann hinderlich sein, denn wenn du (WKS)0,0,0 möchtest, warum sollte ACAD dann nach anderen Punkten suchen?
Falls an der Koordinate (bei dir aktuell 0,0,0 des BKS) Objekte im Bereich der Fangöffnung liegen,
dann wird unter Umständen die falsche Koordinate angenommen => falsches Ergebnisse
Dazu kommt deine aktuelle Ansicht, da der Objektfang ansichtsabhängig ist.

>> Was ist der "Objektfang KEINER."?!

Entsprechend dem Wortsinn: KEIN Objektfang
Der Objektfang "Keiner" setzt den laufenden Objektfang(osmode) temporär für einen Vorgang außer Kraft
und überschreibt diesen entsprechend für die eine nächste Punktangabe, wie es auch mit allen anderen
Objektfängen der Fall wäre

Befehl: LINIE
Ersten Punkt angeben: keine <--
*0,-40000 <-- Es wird definitiv WKS 0,-40000 genutzt

Aber Achtung bei den anderen Objektwahlmethoden, anders wie beim fortlaufenden Objektfang erwartet ACAD dann auch
einen Punkt über die angegebene Objektwahlmethode auszuwählen (was ja bei "keiner" kein Problem ist):

Nächsten Punkt angeben oder [Zurück]: end,zentrum
von 400000,250000,0
Kein Zentrum,Endpunkt für den spezifizierten Punkt gefunden. <-- OHH
Punkt oder Optionstitel wird benötigt.
Nächsten Punkt angeben oder [Zurück]: <00 Befehl Linie erwartet weiterhin die erste Punktangabe..
Befehl:

Also: Punkt/Objektwahl in Automatisierungen von AutoCAD-Befehlen
Objektwahlmethode entweder explizit angeben, oder mit OsnapCoord-1 sicherstellen das der Objektfang ignoriert wird.


>>Ich habe in meinen Zeichnungen IMMER alles vorher "Zerschossen".
>>Ja, diese Lustigkeit, welche nicht deine Idee ist, konntest du uns ja leider noch immer nicht erklären.

  (Ist wohl einfach das Prinzip: Je einfacher die Objekte, desto einfacher die Probleme)
Welche Daten hortet man und hat dabei so wenig Interesse an Strukturen? ANDERES THEMA.
Ich habe nur noch Linien, Texte, Schraffuren, Kreise, Bögen.
>>Wir zerlegen die Pläne im Prinzip bis _explode nicht mehr findet, außer die Schraffuren.
Polylinien&Co zerstören, aber vor Schraffuren schreckt man zurück weil es dann die Hardware nicht mehr so leicht schafft - oder warum nicht auch Schraffuren?
>>Es gibt also NIE Blöcke oder Bemassungen in einer Zeichnung die ich Plätte, falls das was aus macht.
Ja das macht sehr viel aus "im Positiven", ändert aber nichts daran dass man mit den einfachen Objekte ebenso Ärger haben kann,
siehe meine Beispiel-DWG.

>>Habe die Datei mal angehangen.
Jetzt bin ich etwas verwirrt. Diese DWG ist nicht in der Ansicht "von Links" gezeichnet,
aus diesem Grund würde ich annehmen: Du zerstörst die ganze Zeichnung mit deinem Script.
Jetzt sehe ich zwei Möglichkeiten:
Du hast das falsche Script getestet (oder die falsche Datei, bzw. die falsche datei angehängt)
oder MEP arbeitet vollkommen anders wie der AutoCAD-Kern.


Bevor ich mich bemühe:
Öffne doch bitte deine hier angehängte Datei und für dein hier gezeigtes Script aus,
hänge das Ergebnis dann hier an damit wir das Ergebnis sehen können.

Irgendwas stimmt hier nicht 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manuel486
Mitglied
Technischer Zeichner Elektro


Sehen Sie sich das Profil von Manuel486 an!   Senden Sie eine Private Message an Manuel486  Schreiben Sie einen Gästebucheintrag für Manuel486

Beiträge: 100
Registriert: 31.01.2020

Windows 10 Pro - 64-Bit -
Lenovo Thinkstation P520 -
Intel Xeon W-2255 CPU @ 3.70 GHz 10 Kerne -
2x32GB DDR4 RAM @ 2933 MHz -
Samsung MZVLB512HAJQ-000L7 SSD 500GB -
Seagate ST1000DM003 HDD 1000GB -
NVIDIA Quadro P2200 5GB -
AutoCAD MEP 2019 - Revit 2018+2019+2020

erstellt am: 18. Nov. 2020 11:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich


20-11-18-0709-Ungleich-Z0-bearbeitet.dwg

 
Also mit der Ansicht auf Links war Käse,
das hat, warum auch immer, in einer Zeichnung funktioniert,
bzw. sehe ich grade das er den Nullpunkt versetzt hat 
Datei hängt an.

Die Ansicht ist immer von Oben.
Am Anfang des Scripts kommt:
_.UCSFOLLOW 1 _.UCS _World _.UCSFOLLOW 0

Ich habe es jetzt so umgeschrieben:

Code:
_.UCS _World
_.CHPROP _All  _Thickness 0
_.MOVE _All  0,0,0 0,0,1e99
_.MOVE _All  0,0,0 0,0,-1e99


Ich habe jetzt noch das Problem das der Code oben teilweise funktioniert und auch wieder nicht, ich sehe aber nicht warum...

Die Schraffuren bleiben weil die auf Farbe 9 gelegt werden
Und auch evtl nach Stahlbeton oder Mauerwerk.

Die händige Version von dem was ich vor habe ist ja "nur":
Alles Wählen
Im Eigenschaftenfenster alle Objekttypen durch gehen
Start Z auf 0
Ende Z auf 0
Objekthöhe auf 0

Ich habe von der Autocad Seite einen Befehl.
Der nochmal anders reagiert als mein Befehl...

Code:
_ucs
_w
_change
_all

_p
_e
0

_move
_all


0,0,1e99
_move
_all


0,0,-1e99


Ich finde es teilweise schwer nachzuvollziehen was du schreibst.
Obwohl sehr ausführlich beschrieben, muss wohl meine Hirnwindungen nochmals sortieren.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manuel486
Mitglied
Technischer Zeichner Elektro


Sehen Sie sich das Profil von Manuel486 an!   Senden Sie eine Private Message an Manuel486  Schreiben Sie einen Gästebucheintrag für Manuel486

Beiträge: 100
Registriert: 31.01.2020

Windows 10 Pro - 64-Bit -
Lenovo Thinkstation P520 -
Intel Xeon W-2255 CPU @ 3.70 GHz 10 Kerne -
2x32GB DDR4 RAM @ 2933 MHz -
Samsung MZVLB512HAJQ-000L7 SSD 500GB -
Seagate ST1000DM003 HDD 1000GB -
NVIDIA Quadro P2200 5GB -
AutoCAD MEP 2019 - Revit 2018+2019+2020

erstellt am: 18. Nov. 2020 11:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

Also einen Fehler habe ich schonmal.
Habe chprop mit change verwechselt bzw. bei meinem Befehl hat er nur die Objekthöhe umgestellt
und beim dem Befehl von Autocad wird die Erhebung umgestellt. 

Befehl sieht jetzt so aus:

Code:
_.UCS _World
_.CHANGE _All  _Properties _Elev 0
_.CHANGE _All  _Properties _Thickness 0
_.MOVE _All  0,0,0 0,0,1e99
_.MOVE _All  0,0,0 0,0,-1e99

Jetzt funktioniert der Befehl auch gut, bis auf ein paar Linien.
Jetzt habe ich festgestellt, das sich etwas ändert wenn ich die Ansicht auf links stelle.

Um mein Vorgehen zur erklären.
Die Zeichnung ist fertig und ich stelle auf Ansicht links, um zu prüfen ob alles auf Z=0 liegt.
Danach stelle ich wieder auf Ansicht von Oben und führe den Befehl erneut aus.
Liegt da vielleicht der Fehler, mit dem umstellen der Ansicht...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20164
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 18. Nov. 2020 11:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

>>Also mit der Ansicht auf Links war Käse,
>>das hat, warum auch immer, in einer Zeichnung funktioniert,

Habe ich bereits geschrieben: Ist nur der Fall wenn in der WKS Y,Z Ebene gezeichnet wurde,
allerdings sieht es dann auch nur "gut" aus wenn du die Zeichnung weiterhin von Links anschaust.
Kurz: Hake es einfach als Testfehler ab.



>>bzw. sehe ich grade das er den Nullpunkt versetzt hat  Datei hängt an.

Vielleicht möglich, aber ich denke nicht dass dies vom gezeigten Script kommen (ausgehend von deiner zuerst angehängten Datei),
allerdings sieht man auch wieder: Das ist nicht 1:1 dein Script, nach der Übergabe des Thickness-Wertes
fehlt ein enter zum verlassen des chprop Befehls (zumindest hier in deinem ForumPost)

>>Ich habe jetzt noch das Problem das der Code oben teilweise funktioniert und auch wieder nicht, ich sehe aber nicht warum...
Wenn du da eine Rückmeldung möchtest, müßtest du auch schreiben [i](und möglich mit vorher.dwg -> nachher.dwg zeigen - samt Scriptcode)


>>Die händige Version von dem was ich vor habe ist ja "nur":
>>Alles Wählen,Im Eigenschaftenfenster alle Objekttypen durch gehen .... Z auf 0"

Das wäre dann eine vierte Variante und auch hier: So einfach ist es nicht - je nach Dateiinhalt, siehe meine DWG oben.
Unabhängig von dem Ergebnis über die EigenschaftenPalette entspricht keine der drei anderen Wege demselben Ergebnis,
zumindest nicht immer - Datenabhängig.

[i]>>Ich habe von der Autocad Seite einen Befehl.
>>Der nochmal anders reagiert als mein Befehl...
Da wir change statt chprop verwendet, das ist uninteresant und rest ist gleich.
Falls ich nichts übersehen habe:
Wenn man alle potentiellen Fehlerquellen (Thema Objektfang offen, WKS ist schon korrigt)
dann sollte dieses Script haargenau das gleiche Ergebnis liefern!
Gleich Ausgangslage vorausgesetzt natürlich, also
a) Deine Erste Datei öffnen, nichts anderes machen wie ScriptvarianteX ausführen..speichernUnter zum späteren Vergleich.
vergleiche mit
b) Deine Erste Datei öffnen, nichts anderes machen wie ScriptvarianteY ausführen..speichernUnter zum späteren Vergleich.

>>Ich finde es teilweise schwer nachzuvollziehen was du schreibst.
Das ist verständlich, keine Problem 
Wie ab und an erwähnt fliegst du zu schnell und oberflächlich über Hilfestellungen, da bleibt einiges auf der Strecke und die Themen verschleppen sich.
(Ich werde meine Antworten nicht dahingehen ändern eine Zeile zu ergänzen oder zu korrigieren, denn das unterstützt die Sache einfach nur noch mehr)

Thema WKS ist nun durch, bleibt das Objektfang-Thema:
Wenn du die AutoCAD-Befehle automatisierst Script, Makro, (send)command - dann werden mit deiner AutoCAD-Standard Einstellung
die laufenden Objektfänge berücksichtigt! Deine Angabe 0,0,0 im Script kann also den Punkt 20,30,55 fangen (zum Beispiel),
je Objektdaten (und aktueller Ansicht) in der Datei.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20164
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 18. Nov. 2020 12:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

Also einen Fehler habe ich schonmal.
Habe chprop mit change verwechselt bzw. bei meinem Befehl hat er nur die Objekthöhe umgestellt
und beim dem Befehl von Autocad wird die Erhebung umgestellt.  

Gut, man sollte schon dieselbe Eigenschaft ändern damit ein Vergleich sinnvoll ist, lol
- war mir jetzt beim lesen auch nicht aufgefallen (1.erwartete ich nicht ein Script für etwas anderes und 2. sind die Optionen nicht ausgeschrieben, was das lesen schwerer macht)


>>Jetzt funktioniert der Befehl auch gut, bis auf ein paar Linien.
Ja, der Befehl Ändern ist dafür bestens geeignet!
Wenn du jetzt noch das gegen die Decke-1e99 schieben hinterher schickst,
dann hast du die beste ohnne-Programmierung Lösung gefunden die es gibt 
(so gut dass auch ich den Weg öfters verwende, einfach weil ich selbst auch keine besser Lösung
in Form eines Zusatzprogrammes habe! Bei mir kommt dann nur noch die Korrektur von Block-Attributen hinzu, welche du aber ja nicht hast.)

>>Jetzt habe ich festgestellt, das sich etwas ändert wenn ich die Ansicht auf links stelle.
Damit kann ich gerade nichts anfangen, aber wenn du einen reproduzierbaren Unterschied
feststellen kannst obwohl dein Script das BKS=WKS setzt, dann immer her damit.
Ansonsten: Testfehler..

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manuel486
Mitglied
Technischer Zeichner Elektro


Sehen Sie sich das Profil von Manuel486 an!   Senden Sie eine Private Message an Manuel486  Schreiben Sie einen Gästebucheintrag für Manuel486

Beiträge: 100
Registriert: 31.01.2020

Windows 10 Pro - 64-Bit -
Lenovo Thinkstation P520 -
Intel Xeon W-2255 CPU @ 3.70 GHz 10 Kerne -
2x32GB DDR4 RAM @ 2933 MHz -
Samsung MZVLB512HAJQ-000L7 SSD 500GB -
Seagate ST1000DM003 HDD 1000GB -
NVIDIA Quadro P2200 5GB -
AutoCAD MEP 2019 - Revit 2018+2019+2020

erstellt am: 18. Nov. 2020 12:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

Es ist der Objektfang F3.
Wenn er an ist kommt Gulasch raus.
Wenn F3 aus dann liegt alles auf Z=0.

Du hattest es ja erwähnt aber ich habe es irgendwie nicht kapiert.
Bzw. hätte ich nie gedacht das, dass damit was zu tun hat.

Daher kamen auch meine unterschiedlichen Ergebnisse 
Mal war F3 an mal nicht, habe zwischendurch Autocad neu gestartet und das war der Fehler.
Dann war F3 immer wieder an und das Ergebnis ein anderes.

Code sieht jetzt so aus:

Code:
_.UCS _World
_.OSNAPCOORD 1
_.CHANGE _All  _Properties _Elev 0
_.CHANGE _All  _Properties _Thickness 0
_.MOVE _All  0,0,0 0,0,1e99
_.MOVE _All  0,0,0 0,0,-1e99
_.OSNAPCOORD 2

So funktioniert es jetzt. 

Danke für die ausführliche Hilfe und deine unermessliche Geduld   

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20164
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 18. Nov. 2020 13:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

SO sollte es perfekt passen (besser geht es nicht, wenn alle Layer getaut und entsperrt wurden)

>> _.OSNAPCOORD 2
Ich lasse jetzt mal alle Erklärungen bei Seite und sage einfach: Lass das einfach raus!
Bei jedem LT, AutoCAD & Toolset Profil sollte eigentlich der Wert 1 Standard sein (ist aber von Adesk als 2 default vorgegeben)

Theoretisch kann der Wert2 Sinn machen, aber dann sollte derjenige welcher die Automation erstellt dies selbst einbauen.
Das habe ich bisher (außer in eigenen Scripten,Makros&Commands) bisher nur ein einziges Mal gesehen.
(und natürlich hatte derjenige NICHT am Anfang sichergestellt dass osnapcoord auf 2 eingestellt ist- war ja klar, lol.)


Bis zum nächsten Mal  

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manuel486
Mitglied
Technischer Zeichner Elektro


Sehen Sie sich das Profil von Manuel486 an!   Senden Sie eine Private Message an Manuel486  Schreiben Sie einen Gästebucheintrag für Manuel486

Beiträge: 100
Registriert: 31.01.2020

Windows 10 Pro - 64-Bit -
Lenovo Thinkstation P520 -
Intel Xeon W-2255 CPU @ 3.70 GHz 10 Kerne -
2x32GB DDR4 RAM @ 2933 MHz -
Samsung MZVLB512HAJQ-000L7 SSD 500GB -
Seagate ST1000DM003 HDD 1000GB -
NVIDIA Quadro P2200 5GB -
AutoCAD MEP 2019 - Revit 2018+2019+2020

erstellt am: 19. Nov. 2020 14:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

Zitat:
>>Die händige Version von dem was ich vor habe ist ja "nur":
>>Alles Wählen,Im Eigenschaftenfenster alle Objekttypen durch gehen .... Z auf 0"
Das wäre dann eine vierte Variante und auch hier: So einfach ist es nicht - je nach Dateiinhalt, siehe meine DWG oben.
Unabhängig von dem Ergebnis über die EigenschaftenPalette entspricht keine der drei anderen Wege demselben Ergebnis,
zumindest nicht immer - Datenabhängig.

Wie würde diese Variante den aussehen?

Musste den Befehl noch etwas anpassen.
Habe eigentlich gehofft das man den so aufgebaut ohne Bedenken über eine Zeichnung jagen kann.
Dem ist aber wohl nicht so...

Hatte jetzt eine Zeichnung mit Splinien (0 . "SPLINE").
Die hat es dann in alle Richtungen zerlegt...
Habe es jetzt als Scriptcall ohne Splinien eingebaut.

Code:
(if (ssget "_X" (list '(410 . "Model")'(-4 . "<NOT")'(0 . "SPLINE")'(-4 . "NOT>")(cons 410 (getvar 'CTAB))))
(command "_.SCRIPTCALL" "G:/1000SONS/CAD/Faust/SCRIPT/SCRIPTCALL/Alles auf Z=0 Objekte vorher.scr"))

Scriptcall:

Code:
_.UCS _World
_.OSNAPCOORD 1
_.CHANGE _P  _Properties _Elev 0
_.CHANGE _P  _Properties _Thickness 0
_.MOVE _P  0,0,0 0,0,1e99
_.MOVE _P  0,0,0 0,0,-1e99
_.OSNAPCOORD 2

Jetzt habe ich Splinien die nicht auf Z=0 liegen...
Mit Flatten gibt es mit Remove Hidden Lines _No
und auch bei _Yes auch kein schönes Ergebnis.

Mit PLAETTEN sieht es super aus, aber ich bekomme es nicht in ein Script integriert.
-PLAETTEN geht nicht.
Geht das einfach nicht oder was müsste ich machen um die AutoCAD-Meldung am Ende des Befehls weg zu bekommen?

LG
Manuel486

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20164
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 19. Nov. 2020 15:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

>>Wie würde diese Variante den aussehen?
?
äh
?
Probier es aus!? Oder verstehe ich deine Frage nicht?


>>Habe eigentlich gehofft das man den so aufgebaut ohne Bedenken über eine Zeichnung jagen kann.
Da haben dann wohl alle Antworten und Hilfestellungen nichts genutzt 


>>mit PLAETTEN sieht es super aus,
Eigentlich müßte man auch mal verlinken von was man spricht, denn es geht ja nicht um einen nativen AutoCAD-Befehl
und alleine ein Name ist nichts Wert. Aber in dem Fall gehen wir mal vom aktuellen "Plaetten" des Moderators aus.

-PLAETTEN geht nicht.
Geht nicht? Gibt es wohl nicht (oder bekommst du eine andere Rückgabe als "unbekannter Befehl"?)

">>Geht das einfach nicht oder was müsste ich machen um die AutoCAD-Meldung am Ende des Befehls weg zu bekommen?
Man müsste das Programm umschreiben.
Schöne und perfekte Lösungen sparen wir uns, Erklärungen taugen ja auch wenig, also schmerzlos:
Ein Beispiel: Im Code Suchen&Ersetzen,
Suche ALERT Ersetze gegen PRINC
Suche C:PLAETTEN Ersetze gegen C:-PLAETTEN
Datei speichernUnter: -PLAETTEN

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manuel486
Mitglied
Technischer Zeichner Elektro


Sehen Sie sich das Profil von Manuel486 an!   Senden Sie eine Private Message an Manuel486  Schreiben Sie einen Gästebucheintrag für Manuel486

Beiträge: 100
Registriert: 31.01.2020

Windows 10 Pro - 64-Bit -
Lenovo Thinkstation P520 -
Intel Xeon W-2255 CPU @ 3.70 GHz 10 Kerne -
2x32GB DDR4 RAM @ 2933 MHz -
Samsung MZVLB512HAJQ-000L7 SSD 500GB -
Seagate ST1000DM003 HDD 1000GB -
NVIDIA Quadro P2200 5GB -
AutoCAD MEP 2019 - Revit 2018+2019+2020

erstellt am: 19. Nov. 2020 16:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

>>Probier es aus!? Oder verstehe ich deine Frage nicht?
Die vierte Variante. Also im Prinzip per Script, bei einer Linie den Anfang Z und Ende Z auf 0. Den Wert der Geometrie im Prinzip.


>>Da haben dann wohl alle Antworten und Hilfestellungen nichts genutzt 
Es war wohl eher Wunschdenken von mir


>>Eigentlich müßte man auch mal verlinken von was man spricht, denn es geht ja nicht um einen nativen AutoCAD-Befehl
und alleine ein Name ist nichts Wert. Aber in dem Fall gehen wir mal vom aktuellen "Plaetten" des Moderators aus.
PLAETTEN von Cadwiesel 
https://www.cadwiesel.de/index.php?hp=downloads&anzeigedatei=downloads&download_id=71


>>Man müsste das Programm umschreiben.
Schöne und perfekte Lösungen sparen wir uns, Erklärungen taugen ja auch wenig, also schmerzlos:
Ich teste es mal 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 20164
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 19. Nov. 2020 17:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bittpul 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Manuel486:
>>Probier es aus!? Oder verstehe ich deine Frage nicht?
Die vierte Variante. Also im Prinzip per Script, bei einer Linie den Anfang Z und Ende Z auf 0. Den Wert der Geometrie im Prinzip.
Dafür gibt es keinen Befehl in AutoCAD, zudem wäre das Ergebnis wohl identisch zu dem Weg über die Eigenschaften-Palette
und damit eben auch nur eine 4.Variante.
Als Weg über normale AutoCAD-Funktionen hast du schon die besten Lösung, welche im Schnitt wohl den wenigsten Ärger veruracht.
Allerdings bist du kein AutoCAD-User und ob dein Toolset bessere Werkzeuge hat mußt du wissen :-)


>>Es war wohl eher Wunschdenken von mir
Eine Spline-Kurve ist doch ein perfektes Beispiel, ebenso wie Kreis - quer im Raum.
Wie sollen diese Objekte denn in der WKS-Ebene dargestellt werden mit Z=0
Das geht mit den Objekten (oft) nicht und man muß es mit anderen Objekten nachstellen - annähern.
Und CAD ist jetzt kein typisches Werkzeug bei dem man sagt: Mach mal so ähnlich.
Aktuell hast du ein Problem mit Splines.. auch dafür wirst du eine Lösung finden die euch passt.


>>Man müsste das Programm umschreiben.
Schöne und perfekte Lösungen sparen wir uns, Erklärungen taugen ja auch wenig, also schmerzlos:
Ich teste es mal 
Du wirst begeistert sein (und irgendwann in der Zukunft über eine weitere Limitierung stolpern die unbeliebt sein wird und eine Lösung gewünscht wird


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz